/*************************************/

/* geom.h: header de geom.c          */

/* procdures de calcul gomtrique  */

/* 2D et 3D                          */

/*************************************/



TMatrice* MonBezier(TMatrice *tab, int NbrPts);



void CalculVecteurNormal(float xa,float ya,float xb,float yb,

						 float *xc,float *yc,float l,int cote);



TMatrice* CalculContour(TMatrice* xy, TMatrice *d, int cote);



void CalculVecteurBissec(float x1,float y1,float x2,float y2, float x3,float y3,

						 float *x,float *y,float l,int cote);



void CalculForme3D(TMatrice *TabForme,

				   TMatrice *ExtProfCent, TMatrice *IntProfCent,

				   TMatrice *ExtProfBout, TMatrice *IntProfBout,

				   TMatrice **XExt, TMatrice **YExt, TMatrice **ZExt,

				   TMatrice **XInt, TMatrice **YInt, TMatrice **ZInt);



float EpaisseurRelative(TMatrice* extrados, TMatrice* intrados);



void InterpoleProfilBout(TMatrice** XYBout, TMatrice* XYCent);



void CalculDeveloppe(

					 //coordonnes 3D des 2 cotes de la surface 

					 TMatrice *Xs1, TMatrice *Ys1, TMatrice *Zs1,

					 TMatrice *Xs2, TMatrice *Ys2, TMatrice *Zs2,

					 //coordonnes 2D du dvelopp

					 TMatrice **Xb1, TMatrice **Yb1,

					 TMatrice **Xb2, TMatrice **Yb2);



void Cart2Pol(TMatrice *X, TMatrice *Y, TMatrice **T, TMatrice **R);



void Pol2Cart(TMatrice *T, TMatrice *R, TMatrice **X, TMatrice **Y);



void Inter2Vecteurs(

					float xa, float ya,

					float xb, float yb, 

					float xc, float yc,

					float xd, float yd,

					float *x, float *y);



void LVFoil(TMatrice *XB, TMatrice *YB, float alphaD, TMatrice **X, TMatrice **Y, TMatrice **Cp );



TMatrice* Longueur(TMatrice* x, TMatrice *y);



TMatrice* Cercle(float xo, float yo, float rayon, int nbp);

