/*************************************/

/* def type matrice et operateurs ...*/

/*************************************/



/****************/

/* def matrices */

/****************/

typedef struct Matrice TMatrice;

struct Matrice

{

	int lig,col;	/*nombre de lignes et colonnes*/

	float **t;		/*tableau a 2 dimensions*/

};



/**************/

/* procedures */

/**************/

TMatrice* CreerMatrice(int lig, int col);

void LibererMatrice(TMatrice *m);

TMatrice* AddMat(TMatrice *m1,TMatrice *m2);

TMatrice* AddReelMat(TMatrice *m, float reel);

TMatrice* MultMat(TMatrice *m1,TMatrice *m2);

TMatrice* MultReelMat(TMatrice *m, float reel);

TMatrice* LinSpace(float deb, float fin, int n);

TMatrice* Zeros(int lig, int col);

TMatrice* Ones(int lig, int col);

void VoirMat(TMatrice *m);

void AffecteMat(TMatrice **dst, TMatrice *src);

void CopierMat(TMatrice *dst, TMatrice *src);

TMatrice* CloneMat(TMatrice *src);

void CopierMatInd(TMatrice *dst, int lDebDst, int lFinDst,int cDebDst, int cFinDst,

				  TMatrice *src, int lDebSrc, int lFinSrc,int cDebSrc, int cFinSrc);

/*void InterpLinMat(TMatrice *m, TMatrice *mi);*/

void InterpLinMat(TMatrice *x, TMatrice *y, TMatrice *xi, TMatrice *yi);

float InterpLinX(TMatrice *m, float xi);

TMatrice* ExtraitMat(TMatrice *m, int lDeb, int lFin,int cDeb, int cFin);

void Ind(float val, TMatrice *m, int *lig, int *col);

int ValeurPresente(float val, TMatrice *m);

void AjouteValeurCroissant(float val, TMatrice **m);

void ResolutionGauss(TMatrice *A, TMatrice *B, TMatrice **x);



